import gpiod
import subprocess
import time
BUTTON_PINA = 13
BUTTON_PINB = 16
BUTTON_PINC = 26
BUTTON_PIND = 20
button_state = 0
chip = gpiod.Chip('gpiochip4')

button_linea = chip.get_line(BUTTON_PINA)
button_lineb = chip.get_line(BUTTON_PINB)
button_linec = chip.get_line(BUTTON_PINC)
button_lined = chip.get_line(BUTTON_PIND)

button_linea.request(consumer="Button", type=gpiod.LINE_REQ_DIR_IN)
button_lineb.request(consumer="Button", type=gpiod.LINE_REQ_DIR_IN)
button_linec.request(consumer="Button", type=gpiod.LINE_REQ_DIR_IN)
button_lined.request(consumer="Button", type=gpiod.LINE_REQ_DIR_IN)

subprocess.call('export DISPLAY=:0', shell=True)
def keyboard_interrupt():
	button_linea.release()
	button_lineb.release()
	button_linec.release()
	button_lined.release()

try:
	while True:
		button_stateA = button_linea.get_value()
		button_stateB = button_lineb.get_value()
		button_stateC = button_linec.get_value()
		button_stateD = button_lined.get_value()
		if button_stateA == 1 and button_state != 0:
			subprocess.call('XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1250 20 click 1 && XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1150 80 click 1', shell=True)
			button_state = 0
		elif button_stateB == 1 and button_state != 1:
			subprocess.call('XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1250 20 click 1 && XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1150 80 click 1', shell=True)
			button_state = 1
		elif button_stateC == 1 and button_state != 2:
			subprocess.call('XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1250 20 click 1 && XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1175 143 click 1', shell=True)
			button_state = 2
		elif button_stateD == 1 and button_state != 3:
			subprocess.call('XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1250 20 click 1 && XAUTHORITY=~volumio/.Xauthority DISPLAY=:0 xdotool mousemove 1150 80 click 1', shell=True)
			button_state = 3
		print(button_stateA)
		print(button_stateB)
		print(button_stateC)
		print(button_stateD)
		time.sleep(0.2)
except KeyboardInterrupt:
	print('interrupted!')
	keyboard_interrupt()

finally:	
	keyboard_interrupt()