#!/bin/bash
# select
# pin GND - D0

GPIO0=24 # Radio 	=> Menu
#GPIO5=25 # GUI 		=> Back
# Print debug lines => 1 is print
debug=0


if [ $debug == 1 ]; then
  echo "---------------------------------------------------"
  printf "GPIO 0: %s\n"  "${GPIO0}"
  printf "STATUS 0: %s\n"  "${STATUS0}"
fi

# continuously monitor current value
while true; do
  sleep 0.1

  STATUS0=$(gpioget gpiochip4 ${GPIO0})
  
  if [ $debug == 1 ]; then
  echo "---------------------------------------------------"
    printf "STATUS 0: %s\n"  "${STATUS0}"
  fi
  
  if [ "$STATUS0" == 1 ]; then # Radio	=> Memory
		curl localhost:3000/api/v1/commands/?cmd='playplaylist&name=Radio'
  fi
  sleep 0.2

done