#!/bin/bash


# Set XAUTHORITY and DISPLAY environment variables
export XAUTHORITY=~volumio/.Xauthority
export DISPLAY=:0

# Run the xset q command to get DPMS information
output=$(xset q)

# Check each line of the output for DPMS status
if [[ $output == *"Monitor is On"* ]]; then
    echo "Monitor is ON => Turning OFF"
    xset dpms force off
elif [[ $output == *"Monitor is Off"* ]]; then
    echo "Monitor is OFF => Turning ON!"
    xset dpms force on
else
    echo "Unable to determine monitor status"
fi